---
sidebar_position: 4
description: Get list of files and other functions to work with Neocities in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Neocities]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get list of files
 Gets a list of files with or without directory selection



`Function GetFilesList(Val Token, Val Path = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Auth token |
  | Path | --path | String | &#x2716; | Selection of files by catalog. All if not filled in |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Neocities

:::tip
Neocities API docs: [neocities.org/api](https://neocities.org/api)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token = "f1e616e20ab5893b...";
    Path  = "test";

    Result = OPI_Neocities.GetFilesList(Token, Path);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint neocities GetFilesList \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint neocities GetFilesList ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": "success",
 "files": [
  {
   "path": "test/gif.gif",
   "is_directory": false,
   "size": 805189,
   "created_at": "Wed, 10 Dec 2025 20:07:54 -0000",
   "updated_at": "Wed, 10 Dec 2025 20:07:54 -0000",
   "sha1_hash": null
  },
  {
   "path": "test/pic1.png",
   "is_directory": false,
   "size": 2114023,
   "created_at": "Wed, 10 Dec 2025 20:07:54 -0000",
   "updated_at": "Wed, 10 Dec 2025 20:07:54 -0000",
   "sha1_hash": null
  }
 ]
}
```
